-- local variables
local localSoundFilesHaveBeenUploaded = 0 -- disabled initially, until set true once they have been uploaded


function remotePlaySoundFileSoundPack02(soundFilePath)
	PlaySoundFile(soundFilePath)
end

function DDSoundPack02_OnLoad()
	 DDSoundPack02_OnEventcore:RegisterEvent("PLAYER_ENTERING_WORLD");
	 DDSoundPack02_OnEventcore:RegisterEvent("CHAT_MSG_TEXT_EMOTE");
	 DDSoundPack02_OnEventcore:RegisterEvent("CHAT_MSG_EMOTE");
	 DDSoundPack02_OnEventcore:RegisterEvent("GUILD_ROSTER_UPDATE");
	 DDSoundPack02_OnEventcore:RegisterEvent("RAID_ROSTER_UPDATE");
	 DDSoundPack02_OnEventcore:RegisterEvent("PARTY_LEADER_CHANGED");
	 --DDSoundPack02_OnEventcore:RegisterEvent("PARTY_MEMBERS_CHANGED");
	 DDSoundPack02_OnEventcore:RegisterEvent("PLAYER_GUILD_UPDATE");
end

function DDSoundPack02_OnEvent(event, arg1, arg2, arg3, arg4)
	if (event == "PLAYER_ENTERING_WORLD" or event == "RAID_ROSTER_UPDATE" or event == "GUILD_ROSTER_UPDATE" or event == "PLAYER_GUILD_UPDATE" or event == "PARTY_LEADER_CHANGED" or event == "PARTY_MEMBERS_CHANGED" or event == "CHAT_MSG_TEXT_EMOTE" or event =="CHAT_MSG_EMOTE") then
		if (modHasBeenActivated == 1 and localSoundFilesHaveBeenUploaded == 0) then
			DDSoundPack02_Version_Discovered = 82 -- reports back to DomDom what version number of the sound pack is installed
			insertSoundPack02SoundFiles()

			-- set localSoundFilesHaveBeenUploaded to true, to not reupload the sound files accidentally
			localSoundFilesHaveBeenUploaded = 1
		end
	end
end

