-- local variables
local localSoundFilesHaveBeenUploaded = 0 -- disabled initially, until set true once they have been uploaded

function remotePlaySoundFileSoundPack06(soundFilePath)
	PlaySoundFile(soundFilePath)
end

function DDSoundPack06_OnLoad()
	 DDSoundPack06_OnEventcore:RegisterEvent("CHAT_MSG_TEXT_EMOTE");
	 DDSoundPack06_OnEventcore:RegisterEvent("CHAT_MSG_EMOTE");
	 DDSoundPack06_OnEventcore:RegisterEvent("GUILD_ROSTER_UPDATE");
	 DDSoundPack06_OnEventcore:RegisterEvent("RAID_ROSTER_UPDATE");
	 DDSoundPack06_OnEventcore:RegisterEvent("PARTY_LEADER_CHANGED");
	 --DDSoundPack06_OnEventcore:RegisterEvent("PARTY_MEMBERS_CHANGED");
	 DDSoundPack06_OnEventcore:RegisterEvent("PLAYER_GUILD_UPDATE");
end

function DDSoundPack06_OnEvent(event, arg1, arg2, arg3, arg4)
	if (event == "RAID_ROSTER_UPDATE" or event == "GUILD_ROSTER_UPDATE" or event == "PLAYER_GUILD_UPDATE" or event == "PARTY_LEADER_CHANGED" or event == "PARTY_MEMBERS_CHANGED" or event == "CHAT_MSG_TEXT_EMOTE" or event =="CHAT_MSG_EMOTE") then
		if (modHasBeenActivated == 1 and localSoundFilesHaveBeenUploaded == 0) then
			DDSoundPack06_Version_Discovered = 82 -- reports back to DomDom what version number of the sound pack is installed

			insertSoundFile(6, 1105, "aah kutzooi.mp3","")
			insertSoundFile(6, 1106, "biem.mp3","")
			insertSoundFile(6, 1107, "dank u wel hoor.mp3","")
			insertSoundFile(6, 1108, "dat is mooie ding joh.mp3","")
			insertSoundFile(6, 1109, "dit is homo muziek.mp3","")
			insertSoundFile(6, 1110, "dit is toch goud he, wij zijn helemaal knettah.mp3","")
			insertSoundFile(6, 1111, "dus, dus, dusse,dusse ja.mp3","")
			insertSoundFile(6, 1112, "geeft niks, kan gebeuren.mp3","")
			insertSoundFile(6, 1113, "gefeliciteerd he.mp3","")
			insertSoundFile(6, 1114, "goeiemoggel.mp3","")
			insertSoundFile(6, 1115, "haha bier.mp3","")
			insertSoundFile(6, 1116, "hier ga ik je corrigeren, dit mag je nooit meer zeggen.mp3","")
			insertSoundFile(6, 1117, "hier is helemaal zand.mp3","")
			insertSoundFile(6, 1118, "i like all dit.mp3","")
			insertSoundFile(6, 1119, "ik ben helemaal de weg kwijt.mp3","")
			insertSoundFile(6, 1120, "ik ga nooit meer doen.mp3","")
			insertSoundFile(6, 1121, "ik vind helemaal hartstikke mooi.mp3","")
			insertSoundFile(6, 1122, "ik wil jullie graag andere keer zien, houdoe.mp3","")
			insertSoundFile(6, 1123, "in de water.mp3","")
			insertSoundFile(6, 1124, "je hebt weer een stuk in je broek.mp3","")
			insertSoundFile(6, 1125, "jouw kop lijkt op een bak met wurmen.mp3","")
			insertSoundFile(6, 1126, "kud hondje ah dat voelt lekker aan mn cranium.mp3","")
			insertSoundFile(6, 1127, "kud hondje oh sht zn cranium.mp3","")
			insertSoundFile(6, 1128, "kud hondje wat een schattig hondje mag ik hem strelen.mp3","")
			insertSoundFile(6, 1129, "kud kat aandacht.mp3","")
			insertSoundFile(6, 1130, "kud kat dat geluid vind ik niet leuk.mp3","")
			insertSoundFile(6, 1131, "kud kat eten spook.mp3","")
			insertSoundFile(6, 1132, "kud kat eten.mp3","")
			insertSoundFile(6, 1133, "kud kat hoezo heb je een kater.mp3","")
			insertSoundFile(6, 1134, "kud kat ja we kijken wel effe hoe het loopt.mp3","")
			insertSoundFile(6, 1135, "kud kat moet je die geluiden perse maken.mp3","")
			insertSoundFile(6, 1136, "kud kat nog acht levens.mp3","")
			insertSoundFile(6, 1137, "kud kat waar ben je nou helemaal mee bezig.mp3","")
			insertSoundFile(6, 1138, "Lau altijd dat gezeik met jou.mp3","")
			insertSoundFile(6, 1139, "Lau krijg er huil buien van.mp3","")
			insertSoundFile(6, 1140, "Lau met jou werken is fantastisch.mp3","")
			insertSoundFile(6, 1141, "Lau weet je nou nog niet hoe het gaat.mp3","")
			insertSoundFile(6, 1142, "Lau zal sterven als het niet waar is.mp3","")
			insertSoundFile(6, 1143, "NL water.mp3","")
			insertSoundFile(6, 1144, "NL wil je mij vergiftigen ofzo.mp3","")
			insertSoundFile(6, 1145, "nou nee.mp3","")
			insertSoundFile(6, 1146, "optyfen gauw.mp3","")
			insertSoundFile(6, 1147, "pas nou op met dat vuur.mp3","")
			insertSoundFile(6, 1148, "poah.mp3","")
			insertSoundFile(6, 1149, "rundfunk leraar duits behalve jij.mp3","")
			insertSoundFile(6, 1150, "rundfunk leraar duits jullie hebben allemaal een voldoende.mp3","")
			insertSoundFile(6, 1151, "rundfunk leraar duits nee hoor grapje jij ook.mp3","")
			insertSoundFile(6, 1152, "rundfunk leraar duits of nee toch niet.mp3","")
			insertSoundFile(6, 1153, "steeds maar weer.mp3","")
			insertSoundFile(6, 1154, "strontbroek.mp3","")
			insertSoundFile(6, 1155, "vieze tyfusleier.mp3","")
			insertSoundFile(6, 1156, "wat een mooi ding.mp3","")
			insertSoundFile(6, 1157, "zo is natuur.mp3","")

			-- set localSoundFilesHaveBeenUploaded to true, to not reupload the sound files accidentally
			localSoundFilesHaveBeenUploaded = 1
		end
	end
end

